/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.utiles;

public  class ItemCombo {
	private String clave;
	private String descripcion;
	private boolean seleccionable;
	private Object dato;
	public ItemCombo(String clave,String descripcion,Object dato,boolean seleccionable){
		crearItem(clave,descripcion,dato,seleccionable);
	}
	public ItemCombo(String clave,String descripcion,Object dato){
		crearItem(clave,descripcion,dato,true);
	}
	public ItemCombo(String clave,String descripcion){
		crearItem(clave,descripcion,null,true);
	}
	public ItemCombo(String descripcion){
		crearItem(null,descripcion,null,true);
	}
	public ItemCombo(String descripcion,boolean seleccionable){
		crearItem(null,descripcion,null, seleccionable);
	}
	public String toString(){
		return this.descripcion;
	}
	public String getClave(){
		return this.clave;
	}
	public void setClave(String clave){
		this.clave=clave;
	}
	public boolean isSeleccionable(){
		return this.seleccionable;
	}
	public void setSeleccionable(boolean seleccionable){
		this.seleccionable=seleccionable;
	}
	public void setDescripcion(String descripcion){
		this.descripcion=descripcion;
	}
	public String getDescripcion(){
		return this.descripcion;
	}
	public Object getDato(){
		return this.dato;
	}
	public void setDato(Object dato){
		this.dato=dato;
	}
	private void crearItem(String clave,String descripcion,Object dato,boolean seleccionable){
		this.clave=clave;
		this.descripcion=descripcion;
		this.dato=dato;
		this.seleccionable=seleccionable;
	}
}
